%define upstream_name    App-Maisha
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Maisha interface to Identi.ca
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Pluggable) >= 2.700.0
BuildRequires: perl(Net::Twitter) >= 3.180.30
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::Shell)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Text::Wrap)
BuildArch:  noarch

%description
This distribution provides the ability to micro-blog via social networking
websites and services, such as Identica and Twitter.

For further information regarding the commands and configuration, please
see the 'maisha' script included with this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/maisha
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.220.0-2.mga8
+ Revision: 1528650
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.220.0-1.mga8
+ Revision: 1432085
- update to 0.22

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-8.mga7
+ Revision: 1281645
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.210.0-7.mga7
+ Revision: 1163121
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.210.0-6.mga7
+ Revision: 1156039
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 0.210.0-5.mga6
+ Revision: 1022545
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.210.0-4.mga6
+ Revision: 940972
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 748463
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 683516
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 674164
- update to 0.21

* Sat May 17 2014 shlomif <shlomif> 0.190.0-1.mga5
+ Revision: 623263
- New ver 0.19

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 509064
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 363077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 306058
- update to 0.18

* Mon Dec 19 2011 shlomif <shlomif> 0.150.0-1.mga2
+ Revision: 184482
- imported package perl-App-Maisha


* Tue Sep 14 2010 cpan2dist 0.14-1mdv
- initial mdv release, generated with cpan2dist
